package com.zhibao.crm.cms.entity;

import com.jfinal.plugin.activerecord.Page;
import com.zhibao.crm.cms.entity.base.BaseSite;
import com.zhibao.crm.cms.util.DbUtils;
import java.util.List;
import org.apache.commons.lang.StringUtils;

public class Site extends BaseSite {

   public static final String CURRENT_SITE = "currentSite";
   public static final String ADMIN_SESSION_SITE = "admin_session_site";


   public Page findPage(Integer pageNumber, Integer pageSize) {
      String filterSql = "";
      String orderBySql = DbUtils.getOrderBySql("createDate desc");
      return this.paginate(pageNumber.intValue(), pageSize.intValue(), "select *", "from crm_cms_site where 1=1 " + filterSql + orderBySql);
   }

   public Site findDefault() {
      return (Site)this.findFirst("select * from crm_cms_site where isDefault=? ", new Object[]{Boolean.valueOf(true)});
   }

   public List findAll() {
      return this.find("select * from crm_cms_site");
   }

   public Site findByCat(String domain, String cat) {
      return (Site)this.findFirst("select * from crm_cms_site where domain=? and cat=?", new Object[]{domain, cat});
   }

   public String getUrl() {
      String protocol = this.getProtocol();
      if(StringUtils.isBlank(protocol)) {
         protocol = "";
      }

      String domain = this.getDomain();
      if(StringUtils.isBlank(domain)) {
         domain = "";
      }

      String cat = this.getCat();
      if(StringUtils.isBlank(cat)) {
         cat = "";
      }

      return StringUtils.isNotBlank(cat)?protocol + domain + "/" + cat:protocol + domain;
   }
}
